Name:          jdom2
Version:       2.0.6
Release:       %mkrel 10
Group:         Development/Java
Summary:       Java manipulation of XML made easy
License:       Saxpath
URL:           http://www.jdom.org/
# ./generate-tarball.sh
Source0:       %{name}-%{version}.tar.gz
# originally taken from http://repo1.maven.org/maven2/org/jdom/jdom-contrib/1.1.3/jdom-contrib-1.1.3.pom
Source1:       jdom-contrib-template.pom
Source2:       jdom-junit-template.pom
# Bnd tool configuration
Source3:       bnd.properties
# Remove bundled jars that might not have clear licensing
Source4:       generate-tarball.sh
# Use system libraries
# Disable gpg signatures
# Process contrib and junit pom files
Patch0:        0001-Adapt-build.patch
Patch1:        0002-More-adapt-build-javac-1.8.patch

BuildRequires: javapackages-local
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: jaxen
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: aqute-bnd

BuildArch:     noarch

%description
JDOM is a Java-oriented object model which models XML documents.
It provides a Java-centric means of generating and manipulating
XML documents. While JDOM inter-operates well with existing
standards such as the Simple API for XML (SAX) and the Document
Object Model (DOM), it is not an abstraction layer or
enhancement to those APIs. Rather, it seeks to provide a robust,
light-weight means of reading and writing XML data without the
complex and memory-consumptive options that current API
offerings provide.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jdom-JDOM-%{version}

%patch0 -p1
%patch1 -p1

cp -p %{SOURCE1} maven/contrib.pom
cp -p %{SOURCE2} maven/junit.pom

sed -i 's/\r//' LICENSE.txt README.txt

# Unable to run coverage: use log4j12 but switch to log4j 2.x
sed -i.coverage "s|coverage, jars|jars|" build.xml

mkdir lib
build-jar-repository lib xerces-j2 xml-commons-apis jaxen junit xalan-j2 xalan-j2-serializer

# drop optional isorelax verifier support from contrib
rm -r contrib/src/java/org/jdom2/contrib/schema

%build
ant -Dversion=%{version} -Dj2se.apidoc=%{_javadocdir}/java maven

# Make jar into an OSGi bundle
bnd wrap --output build/package/jdom-%{version}.bar --properties %{SOURCE3} \
         --version %{version} build/package/jdom-%{version}.jar
mv build/package/jdom-%{version}.bar build/package/jdom-%{version}.jar

%install
%mvn_artifact build/maven/core/%{name}-%{version}.pom build/package/jdom-%{version}.jar
%mvn_artifact build/maven/core/%{name}-%{version}-contrib.pom build/package/jdom-%{version}-contrib.jar
%mvn_artifact build/maven/core/%{name}-%{version}-junit.pom build/package/jdom-%{version}-junit.jar
%mvn_install -J build/apidocs

%files -f .mfiles
%doc CHANGES.txt COMMITTERS.txt README.txt TODO.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Mon Dec 28 2020 neoclust <neoclust> 2.0.6-10.mga8
+ Revision: 1664459
- Drop log4j12 dependency and switch junit module to log4j 1.2 API shim.

* Mon Sep 07 2020 daviddavid <daviddavid> 2.0.6-9.mga8
+ Revision: 1623153
- Set javac source and target to 1.8 to fix Java 11 builds
- Rebuilt for JDK-11
- Drop optional isorelax verifier support from contrib
- Repack tarball without bundled jars
- The repacked jar contains slightly different source (force push by upstream?)
- Correct license tag
- Remove unneeded buildrequires

* Wed Feb 12 2020 umeabot <umeabot> 2.0.6-8.mga8
+ Revision: 1491663
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.0.6-7.mga7
+ Revision: 1263627
- Mageia 7 Mass Rebuild

* Wed May 24 2017 neoclust <neoclust> 2.0.6-6.mga6
+ Revision: 1104385
- Add OSGi metadata to main jar
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.0.6-5.mga6
+ Revision: 976465
- First rebuild of the java stack
- sync package jdom2 with fedora
- imported package jdom2

* Tue Feb 09 2016 umeabot <umeabot> 2.0.5-7.mga6
+ Revision: 952025
- Mageia 6 Mass Rebuild

* Wed Jan 14 2015 daviddavid <daviddavid> 2.0.5-6.mga5
+ Revision: 810647
- Sync with fc21
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 2.0.5-3.mga5
+ Revision: 636535
- use objectweb-asm3

* Sun Dec 15 2013 dmorgan <dmorgan> 2.0.5-2.mga4
+ Revision: 557130
- imported package jdom2


* Thu Nov 14 2013 gil cattaneo <puntogil@libero.it> 2.0.5-2
- use objectweb-asm3

* Thu Sep 12 2013 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm
